## ed

Launch an editor

### SYNOPSIS

(ed)
(ed filename)

### DESCRIPTION

The ed procedure creates a new Scheme editor in a toplevel window. If a filename is provided, its content is displayed in the editor window.

### DEFAULT BINDINGS

The defaults bindings are identical to the text bindings. Furthermore, if a the interpreter uses a console to interact with the user (by default on Windows, or by using the -console option of stk on Unix), the Enter key of the numerical keyboard or the sequence Control-Return sends the previous complete sexpr to the interpreter.

### SEE ALSO

text

Back to the STk main page